# <%= @scaffold.formatted_name %>

## Details

[![version](https://badge.fury.io/rb/<%= @scaffold.gem_name %>.svg)](https://badge.fury.io/rb/<%= @scaffold.gem_name %>)
[![pipeline status](https://gitlab.com/USERNAME/<%= @scaffold.gem_name %>/badges/master/pipeline.svg)](https://gitlab.com/USERNAME/<%= @scaffold.gem_name %>/commits/master)

:TODO: Add website, and project's goal.


## Quick Start

:TODO: Add usage examples showing how to get started.


## System Requirements

- *nix OS.
- Ruby 2.5+

## Installation

Add to a project's Gemfile:

```ruby
gem "<%= @scaffold.gem_name %>"
```

And then run

```bash
$ bundle
```

<% if @scaffold.bin %>
Or to install the command line interface locally:

```bash
$ gem install <%= @scaffold.gem_name %>
```
<% end %>

### Updates

Subscribe to the [update notification feed](https://rubygems.org/gems/<%= @scaffold.gem_name %>/versions.atom).
Whenever there's a new release available read the `ChangeLog.md` for
details on what changed since the last release.

When you are ready to update, depending on the installation method, do:

```bash
$ bundle update <%= @scaffold.gem_name %>
```

<% if @scaffold.bin %>
or, locally

```bash
$ gem update <%= @scaffold.gem_name %>
$ gem cleanup <%= @scaffold.gem_name %>
```
<% end %>

## Contributions

For security issues, please follow the `Security.md` guidelines. For
other contributions, check out `Contribute.md`.

## License

Copyright (c) 2019, <%= @scaffold.author %>. Licensed <%= @scaffold.license %>. Read attached `License.md` file
for details.
